@import "colors";
@import "variables";

$font-family: "Libre Baskerville", Times, serif;
$base-max-width: calc(#{$title-max-width} / 3.2);

/* ------ CONTENTS ------- */

$content1-font-size: calc(1rem * 2.6);
$content1-line-height: calc(1rem * 4.0);
$content1-margin-top: calc(#{$content1-line-height} / 3.6);
$content1-margin-bottom: calc(#{$content1-line-height} / 2.6);
$content1-max-width: calc(#{$title-max-width} / 1.8);

$content2-font-size: calc(1rem * 2.1);
$content2-line-height: calc(1rem * 3.3);
$content2-margin-top: calc(#{$content2-line-height} / 3.6);
$content2-margin-bottom: calc(#{$content2-line-height} / 2.6);
$content2-max-width: calc(#{$title-max-width} / 2.2);

$content3-font-size: calc(1rem * 1.6);
$content3-line-height: calc(1rem * 2.6);
$content3-margin-top: calc(#{$content3-line-height} / 3.6);
$content3-margin-bottom: calc(#{$content3-line-height} / 2.6);
$content3-max-width: calc(#{$title-max-width} / 2.4);

$content4-font-size: calc(1rem * 1.3);
$content4-line-height: calc(1rem * 2.1);
$content4-margin-top: calc(#{$content4-line-height} / 3.6);
$content4-margin-bottom: calc(#{$content4-line-height} / 2.6);
$content4-max-width: calc(#{$title-max-width} / 2.1);

$content5-font-size: calc(1rem * 1.0);
$content5-line-height: calc(1rem * 1.7);
$content5-margin-top: calc(#{$content5-line-height} / 3.6);
$content5-margin-bottom: calc(#{$content5-line-height} / 2.6);
$content5-max-width: calc(#{$title-max-width} / 2.6);

$content6-font-size: calc(1rem * 0.8);
$content6-line-height: calc(1rem * 1.4);
$content6-margin-top: calc(#{$content6-line-height} / 3.6);
$content6-margin-bottom: calc(#{$content6-line-height} / 2.5);
/* ------ END CONTENTS ------- */

/* ------ LIST ------ */

$li-margin-left: calc(1rem / 2.6);
$li-margin-bottom: calc(1rem / 2.6);

/* ------ END LIST ------ */

/* ------ BLOCKQUOTE ------ */

$blockquote-padding-left: calc(1rem / 2.6);
$blockquote-border-style: solid;
$blockquote-color: $color-rhythm;
$blockquote-border-color: $color-languid-lavander;
$blockquote-border-width: 0 0 0 11px;

/* ------ END BLOCKQUOTE ------ */

/* ------ CODE ------ */

$code-font-size: calc(1rem);
$code-background-color: $color-languid-lavander;
$code-padding: calc(1rem * 0.6) calc(1rem * 0.7);
$code-border-radius: calc(1rem * 1.1);
$code-margin: 0 calc(1rem * 0.1);

/* ------ END CODE ------ */
